Skip to content

Retrieve a case by id

Request

Retrieve a case by id.

Security
OAuth2(Required scopes: cases.read)
Path
idstringrequired

Id of the case to get.

Example:d43447fc-4e23-42e2-86cc-b35e16fa5e6f
curl -i -X GET \
  https://api.cloud.hypatos.ai/v2/cases/d43447fc-4e23-42e2-86cc-b35e16fa5e6f \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Case retrieved.

Bodyapplication/json
idstringrequired
Example:"69c5a545-7b2f-4f4a-833b-45feff1056c7"
createdAtstring, (date-time)required
Example:"2020-01-01T15:00:00Z"
createdBystringrequired
completedAtstring, (date-time)
Example:"2020-01-01T15:00:00Z"
completedBystring
updatedAtstring, (date-time)
Example:"2020-01-01T15:00:00Z"
updatedBystring
transferSuccessfulboolean

Indicates whether the case was transferred successfully to the target system. Will be null if the transfer status is not yet known (e.g. because the case is still being processed or the transfer information has not been provided yet).

Example:true
transferMessagestring

May contain additional information about the transfer, especially in the case of a failed transfer.

Example:"Upload failed due to ERP being down"
filesArray of objects(CaseFile)required

List of files that are part of the case, each with their assigned role and main document flag.

entitiesobject

Entities extracted from the case by the AI Agents.

Example:
{ "currency": "EUR", "items": [ { … } ], "number": "2018-DE-0011122351", "qty": 2 }
externalIdstring
Example:"case-0001"
externalDataobject
Example:
{ "internalSystemId": "sap-01" }
projectIdstringrequired
Example:"69bbd22c92f3c3ee4a097784"
fileBatchIdstring

Identifier of the file batch this case was created from. Only present for cases created via POST /cases/process-file-batch.

Example:"a1b0020b-8ef9-4801-aeef-979224af0bab"
previewFileIdstring

Identifier of the file used as the case preview, if any.

Example:"197c997c-4bab-41e7-b33d-bad287046914"
statestring(CaseState)required
Enum:"done""doneAutomatically""failed""inCompletion""new""processing""rejected""reviewRequired""transferFailed""transferred"
urlstring

URL to access the case.

Example:"https://example.com/cases/6040dc9680b782b365ea77d5"
Response
{ "id": "69c5a545-7b2f-4f4a-833b-45feff1056c7", "createdAt": "2020-01-01T15:00:00Z", "createdBy": "string", "completedAt": "2020-01-01T15:00:00Z", "completedBy": "string", "updatedAt": "2020-01-01T15:00:00Z", "updatedBy": "string", "transferSuccessful": true, "transferMessage": "Upload failed due to ERP being down", "files": [ { … } ], "entities": { "currency": "EUR", "items": [ … ], "number": "2018-DE-0011122351", "qty": 2 }, "externalId": "case-0001", "externalData": { "internalSystemId": "sap-01" }, "projectId": "69bbd22c92f3c3ee4a097784", "fileBatchId": "a1b0020b-8ef9-4801-aeef-979224af0bab", "previewFileId": "197c997c-4bab-41e7-b33d-bad287046914", "state": "done", "url": "https://example.com/cases/6040dc9680b782b365ea77d5" }